/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Jan-01-2012 10:08:52pm
Filepath: scripts\Engines\donation\DonationStone.cs
Lines of code: 36

Description: 

***********************************************************/


using Server;
using Server.DataStorage;
using System;
using Server.Accounting;




namespace Server.DonationSystem
{
	public class DonationStone : Item
	{
		public override bool DisplayWeight { get { return ( false ); } }

		[Constructable]
		public DonationStone() : base( 0x32f0 )
		{
			Hue=2213;
			Movable = false;
			Name = "Age of Valor Donation Stone";
		}	
		

		public override void OnDoubleClick( Mobile from )
		{
			from.CloseGump( typeof(DonationGump));
			from.SendGump( new DonationGump(from,0) );	
		}

		public DonationStone( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 ); // version		
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();		
		}
	}
}